Subject: Re: git pull not ignoring the file which has been sent to the temporary ignore list

From: Arup Rakshit <[email-masked]>
Date: Sat, 24 Jan 2015 01:05:53 +0630

On Friday, January 23, 2015 11:31:40 AM you wrote:
> Arup Rakshit <[email-masked]> writes:
> 
> > I asked git not to track any changes to the file .gitignore. To do
> > so I did use the command - git update-index --assume-unchanged
> > .gitignore.
> 
> You are not asking Git to do anything. You promised Git that you
> will make no changes to .gitignore, and then broke that promise.
> 
> Assume-unchanged is *not* "Ignore changes to this path".

Ok. How should I then ignore any local changes to the .gitignore file ? And while taking pull, git should skip this file ?
-- 
================
Regards,
Arup Rakshit
================
Debugging is twice as hard as writing the code in the first place. Therefore, if you write the code as cleverly as possible, you are, by definition, not smart enough to debug it.

--Brian Kernighan